Try out NethServer 7 alpha2 ISO!

OpenVPN was fixed

[root@mail log]# config setprop openvpn status disabled
[root@mail log]# signal-event nethserver-openvpn-update

Thanks to all guys!

What installation did you tried?
Using the interactive install, you must choose it from the web interface.
If you use the unattended one, keyboard is set to US and timezone to UTC (this behavior has not changed from 6.x).

Yes, it’s a known bug (https://github.com/NethServer/dev/issues/5022) still unresolved.
I had no time to work on it.
Sorry @Nas but your pull request doesn’t do the job: if you set the openvpn status to disable the vpn port will be closed inside the firewall. The fix is a little bit more complex, I will keep you updated! :smile:

Edit: /etc/httpd/conf.d/awstats.conf, replace line 29:

Require local

with

Require all granted

Then restart the httpd server: systemctl restart httpd

If you have more issues on this, open a new topic :wink:

Right, there is no support from EPEL right now (see: https://bugzilla.redhat.com/show_bug.cgi?id=1232258)
Have you tried the package you’ve found?

Can you please share? Surely from next week Davide and me will be back almost full time on NS 7, and we will be able to fix quickly :wink:

1 Like

Hi Giacomo,

Thank you!
I will try both and I will share to the Community.

BR,
Gabriel

It was late night, so i have not checked network service after i have configured OpenVPN.

In order to have accessibility to OpenVPN, next steps should be done:

config set openvpn@host-to-net service UDPPort 1194 access public status enabled
signal-event firewall-adjust

I’m very interested, would you mind to follow up this discussion with your tests?

I brought this vm up that I was using with samba, mail, roundcube and owncloud and realized that this page is a little shy of the installed modules.

Now I can’t update the base install I have.

Mar  3 15:26:57 localhost pkgaction[1702]: [YumRPMCheckError] [u'ERROR with transaction check vs depsolve:', 'letsencrypt.sh is needed by nethserver-base-2.9.7-1.70.g6d24a00.ns7.noarch']
Mar  3 15:30:43 localhost pkgaction[1942]: remove:
Mar  3 15:30:43 localhost pkgaction[1942]: update: *
Mar  3 15:30:45 localhost pkgaction[1942]: install:
Mar  3 15:30:47 localhost pkgaction[1942]: [YumRPMCheckError] [u'ERROR with transaction check vs depsolve:', 'letsencrypt.sh is needed by nethserver-base-2.9.7-1.70.g6d24a00.ns7.noarch']

Updates CHANGELOG
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile
 * base: centos-distro.1gservers.com
 * epel: mirror.chpc.utah.edu
 * extras: mirror.spro.net
 * nethserver-base: nethserver.antani.co
 * nethserver-updates: nethserver.antani.co
 * updates: mirror.hmc.edu

Can you please post the output of:

yum grouplist -v 

My bad, sorry.
You should be able to do it, as soon as the mirrors are synched, otherwise before update install manually letsencrypt:

yum localinstall http://packages.nethserver.org/nethserver/7.2.1511/updates/x86_64/Packages/letsencrypt.sh-0.0.1-1.ns7.noarch.rpm
[root@server89 ~]# yum grouplist -v
Loading "changelog" plugin
Loading "fastestmirror" plugin
Loading "nethserver_events" plugin
Config time: 0.158
Yum version: 3.4.3
Setting up Package Sacks
Loading mirror speeds from cached hostfile
 * base: mirror.san.fastserv.com
 * epel: dl.fedoraproject.org
 * extras: mirror.spro.net
 * nethserver-base: nethserver.de-labrusse.fr
 * nethserver-updates: nethserver.de-labrusse.fr
 * updates: mirror.hmc.edu
pkgsack time: 0.402
group time: 0.446
Installed Groups:
   Backup (nethserver-backup)
Available Groups:
   Bandwidth monitor (nethserver-bandwidth-monitor)
   Basic firewall (nethserver-firewall-base)
   DNS and DHCP server (nethserver-dns-dhcp)
   Dutch language (nethserver-l10n-nl)
   Email (nethserver-mail)
   FTP server (nethserver-ftp)
   Fax server (nethserver-fax-server)
   File server (nethserver-file-server)
   French language (nethserver-l10n-fr)
   German language (nethserver-l10n-de)
   Greek language (nethserver-l10n-el)
   Hungarian language (nethserver-l10n-hu)
   Instant messaging (nethserver-messaging)
   Intrusion Prevention System (nethserver-ips)
   Italian language (nethserver-l10n-it)
   Monitoring and inventorying (nethserver-monitoring)
   MySQL server (nethserver-mysql)
   NethForge (nethserver-nethforge)
   POP3 connector (nethserver-pop3connector)
   POP3 proxy (nethserver-p3scan)
   Portuguese language (nethserver-l10n-pt)
   Print server (nethserver-printers)
   Russian language (nethserver-l10n-ru)
   SMTP proxy (nethserver-smtp-proxy)
   SNMP server (nethserver-net-snmp)
   SOGo groupware (nethserver-groupware)
   Spanish language (nethserver-l10n-es)
   Statistics (nethserver-statistics)
   Turkish language (nethserver-l10n-tr)
   UPS support (nethserver-nut)
   VPN (nethserver-vpn)
   Virtual machines manager (nethserver-webvirtmgr)
   Web filter (nethserver-web-filter)
   Web proxy (nethserver-web-proxy)
   Web server (nethserver-web)
   Web-based fax client (nethserver-faxweb2)
   WebTop groupware (nethserver-webtop-groupware)
   ownCloud (nethserver-owncloud)
Done

Weird, for example ownCloud is available to install though it is installed. I know I ran an update on this after installing those modules, these were installed through the software center.

No sweat, it updated now.

I just installed file server in the fresh base install and post reboot it shows backup and file server as installed so all is well in the software center now.

2 Likes

20 posts were split to a new topic: Can’t install NethServer 7 ISO on Hyper-V

same virtual machine config with 6.7 iso

It seems an Hyper-V problem, sorry but I can’t help: I carefully stay away from MS products :smiley:

Did you tried to create a virtual machine on virtual box on vmware player,
and then move it to the hyperv?

Did you tried adding the disk as ide instead of scsi?

@mabeleira, your suggestions are in my to do list! Thanks

It looks like a Hyper-V issue or misconfiguration. An expert like @Hunv may help here

Simple Answer:
Generation 2 is not Supported for CentOS 6.x, Nethserver 6.x is based on.
https://technet.microsoft.com/library/dn770158(ws.11).aspx#BKMK_OS

Generation 2 machines have a much thinner Hardwarelayer. Because of this, they removed the support of many legacy devices. You can read more details here:
https://technet.microsoft.com/en-us/library/dn282285.aspx
Or more technical:

Is Nethserver 7.x based on CentOS7? If yes, regarding the MS-Docs it should work, if UEFI is activated and SecureBoot disabled.

3 Likes